<?php
/**
* 404 Page Settings.
*
* @package Local Supermarket
*/

$local_supermarket_default = local_supermarket_get_default_theme_options();

$wp_customize->add_section( 'local_supermarket_404_page_settings',
    array(
        'title'      => esc_html__( '404 Page Settings', 'local-supermarket' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'local_supermarket_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'local_supermarket_404_main_title',
    array(
        'default'           => $local_supermarket_default['local_supermarket_404_main_title'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'local_supermarket_404_main_title',
    array(
        'label'    => esc_html__( '404 Main Title', 'local-supermarket' ),
        'section'  => 'local_supermarket_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'local_supermarket_404_subtitle_one',
    array(
        'default'           => $local_supermarket_default['local_supermarket_404_subtitle_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'local_supermarket_404_subtitle_one',
    array(
        'label'    => esc_html__( '404 Sub Title One', 'local-supermarket' ),
        'section'  => 'local_supermarket_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'local_supermarket_404_para_one',
    array(
        'default'           => $local_supermarket_default['local_supermarket_404_para_one'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'local_supermarket_404_para_one',
    array(
        'label'    => esc_html__( '404 Para Text One', 'local-supermarket' ),
        'section'  => 'local_supermarket_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'local_supermarket_404_subtitle_two',
    array(
        'default'           => $local_supermarket_default['local_supermarket_404_subtitle_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'local_supermarket_404_subtitle_two',
    array(
        'label'    => esc_html__( '404 Sub Title Two', 'local-supermarket' ),
        'section'  => 'local_supermarket_404_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'local_supermarket_404_para_two',
    array(
        'default'           => $local_supermarket_default['local_supermarket_404_para_two'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'local_supermarket_404_para_two',
    array(
        'label'    => esc_html__( '404 Para Text Two', 'local-supermarket' ),
        'section'  => 'local_supermarket_404_page_settings',
        'type'     => 'text',
    )
);